<div class="modal" role="dialog" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1>{{'equipmentTypeEdit.edit' | message}}</h1>
            </div>
            <div class="modal-body">
                <form id="edit-equipment-type-form" ng-submit="vm.save()">
                    <label for="equipmentTypeName">{{'equipmentTypeEdit.TypeName' | message}}</label>
                    <input id="equipmentTypeName" type="text" ng-model="vm.equipmentType.name"  required />
                    <label for="equipmentTypeCode">{{'equipmentTypeEdit.typeCode' | message}}</label>
                    <input id="equipmentTypeCode" type="text" ng-model="vm.equipmentType.code"  required />
                   <label for="active">
                        <input id="isColdChain" type="checkbox" ng-model="vm.equipmentType.isColdChain" />
                        {{'equipmentTypeEdit.isColdChain' | message}}
                    </label>
                    <label for="isBioChemistry">
                        <input id="isBioChemistry" type="checkbox" ng-model="vm.equipmentType.isBioChemistry" />
                        {{'equipmentTypeEdit.isBioChemistry' | message}}
                    </label>
                    <label for="active">
                        <input id="active" type="checkbox" ng-model="vm.equipmentType.active" />
                        {{'equipmentTypeEdit.active' | message}}
                    </label>
                </form>
            </div>
            <div class="modal-footer">
                <button id="cancel" ng-click="vm.goToPreviousState()">{{'equipmentTypeEdit.cancel' | message}}</button>
                <button class="primary" form="edit-equipment-type-form">{{'equipmentTypeEdit.edit' | message}}</button>
            </div>
        </div>
    </div>
</div>